function dydt = ChemoGfunc(t,x)

global gA dA KA  nA dil rL cA H0

dydt = zeros(size(x));

NA=x(1); %live cell density
L=x(2); %Lys conc
H=x(3); %Hyp conc
NAd=x(4); %dead cell density



dydt(1)=gA*H^nA/(H^nA+KA^nA)*NA-dA*NA-dil*NA;
dydt(2)=NA*rL-L*dil;
dydt(3)=H0*dil-H*dil- cA*gA*H^nA/(H^nA+KA^nA)*NA;
dydt(4)=NA*dA-NAd*dil;
end





